<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use Carbon\Carbon;
use Illuminate\Support\Str;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\File;
use Yajra\DataTables\Facades\DataTables;

class AdminSettingController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
        parent::__construct();
    }

    public function index()
    {
        return view('setting.edit');
    }

    public function update(Request $request)
    {
        $request->validate([
            'website_name' => 'required|max:50',
            'logo' => 'nullable|mimes:jpeg,jpg,bmp,png|max:10240',
        ]);

        $data = Setting::where("key", "website_name")->first();
        $data->value = $request->website_name;
        $data->save();


        if ($request->file('logo') != null) {
            $logo = "logo.png";
            $request->logo->move('assets', $logo);

            $data = Setting::where("key", "logo")->first();
            $data->value = $logo;
            $data->save();
        }

        return back()->with('success', 'Data Berhasil Diubah');
    }
}
