<?php

namespace App\Http\Controllers;

use App\Models\Setting;
use App\Models\TypeStudentship;
use Illuminate\Support\Facades\View;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, ValidatesRequests;

    protected $site_settings;
    protected $customKey;

    public function __construct()
    {
        $settings = Setting::all();
        $this->site_settings = $settings->pluck('value', 'key')->all();
        View::share('site_settings', $this->site_settings);
        $this->customKey = "12345678";
        View::share('custom_key', $this->customKey);
    }

    public function getValueSetting($key)
    {
        return $this->site_settings[$key] ?? "";
    }
}
