@include('admin.layouts.sidebar-css')

<aside class="navbar navbar-vertical navbar-expand-lg" data-bs-theme="dark" style="overflow-y:auto">
    <div class="container-fluid">
        <!-- Toggle Button for Mobile -->
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#sidebar-menu"
            aria-controls="sidebar-menu" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <!-- Brand Logo and Name -->
        <h1 class="navbar-brand navbar-brand-autodark d-flex align-items-center"
            style="padding:10px;border-right:2px solid #182433;">
            <a href="." class="text-decoration-none d-flex align-items-center"
                style="font-size: 15px; width: 100%;">
                <img style="max-height: 35px; margin-right: 10px;"
                    src="{{ asset('assets') . '/' . $site_settings['logo'] }}" alt="Logo">
                <span class="text-dark">{{ $site_settings['website_name'] }}</span>
            </a>
        </h1>

        <!-- Profile and Logout Links (Visible on Mobile) -->
        <div class="navbar-nav flex-row d-lg-none align-items-center">
            <!-- Profile Link -->
            <a href="admin.profile" class="nav-link px-0" style="margin-right: 20px;">
                <i class="fa-solid fa-user" style="font-size: 24px; color: white;"></i>
            </a>

            <!-- Logout Button -->
            <div class="nav-item">
                <a class="btn btn-danger btn-sm" id="logout" style="cursor: pointer;">
                    {{ __('Logout') }}
                </a>
                <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                    @csrf
                </form>
            </div>
        </div>

        <!-- Sidebar Menu -->
        <div class="collapse navbar-collapse" id="sidebar-menu">
            <ul class="navbar-nav">
                <!-- Dashboard -->

                <li class="nav-item {{ Request::segment(1) == 'admin' && Request::segment(2) == '' ? 'active' : '' }}">
                    <a class="nav-link" href="{{ route('admin.home') }}">
                        <span class="nav-link-icon"><i class="fa-solid fa-house"></i></span>
                        <span class="nav-link-title">Dashboard</span>
                    </a>
                </li>

                @if (Auth::user()->role == 'admin')
                    <li class="nav-item {{ Request::segment(2) == 'penyakit' ? 'active' : '' }}">
                        <a class="nav-link" href="{{ route('penyakit.index') }}">
                            <span class="nav-link-icon"><i class="fa-solid fa-table"></i></span>
                            <span class="nav-link-title">Penyakit</span>
                        </a>
                    </li>
                @endif

                <li class="nav-item {{ Request::segment(2) == 'gejala' ? 'active' : '' }}">
                    <a class="nav-link" href="{{ route('gejala.index') }}">
                        <span class="nav-link-icon"><i class="fa-solid fa-table"></i></span>
                        <span class="nav-link-title">Gejala</span>
                    </a>
                </li>

                @if (Auth::user()->role == 'admin')
                    <li class="nav-item {{ Request::segment(2) == 'rule' ? 'active' : '' }}">
                        <a class="nav-link" href="{{ route('rule.index') }}">
                            <span class="nav-link-icon"><i class="fa-solid fa-table"></i></span>
                            <span class="nav-link-title">Rule</span>
                        </a>
                    </li>

                    <li class="nav-item {{ Request::segment(2) == 'nilai-keyakinan-cf' ? 'active' : '' }}">
                        <a class="nav-link" href="{{ route('nilai-keyakinan-cf.index') }}">
                            <span class="nav-link-icon"><i class="fa-solid fa-table"></i></span>
                            <span class="nav-link-title">Nilai Keyakinan CF</span>
                        </a>
                    </li>
                @endif

                @if (Auth::user()->role == 'user')
                    <li class="nav-item {{ Request::segment(2) == 'diagnosa' ? 'active' : '' }}">
                        <a class="nav-link" href="{{ route('diagnosa.index') }}">
                            <span class="nav-link-icon"><i class="fa-solid fa-table"></i></span>
                            <span class="nav-link-title">Diagnosa</span>
                        </a>
                    </li>
                @endif

                @if (Auth::user()->role == 'admin')
                    <!-- Admin Settings -->
                    <li class="nav-item {{ Request::segment(2) == 'setting' ? 'active' : '' }}">
                        <a class="nav-link" href="{{ route('setting.index') }}">
                            <span class="nav-link-icon"><i class="fa-solid fa-gear"></i></span>
                            <span class="nav-link-title">Settings</span>
                        </a>
                    </li>
                @endif
            </ul>
        </div>
    </div>
</aside>
