@extends('admin.layouts.main', ['title' => 'Data Diagnosa'])

@section('content')
    <div class="page-header d-print-none">
        <div class="container-xl">
            <div class="row g-2 align-items-center">
                <div class="col">
                    <h2 class="page-title">Data Diagnosa</h2>
                </div>
            </div>
        </div>
    </div>

    <div class="page-body">
        <div class="container">
            <div class="card shadow-sm">
                <div class="card-body">
                    <form action="{{ route('diagnosa.proses') }}" method="POST">
                        @csrf
                        <div class="mb-3">
                            <label class="form-label fw-bold">Pilih Gejala:</label>
                            <div class="row row-cols-1 row-cols-md-3 g-3">
                                @foreach ($gejala as $item)
                                    <div class="col">
                                        <div class="border p-3 rounded">
                                            <div class="form-check">
                                                <input class="form-check-input gejala-checkbox" type="checkbox"
                                                    name="gejala[]" value="{{ $item->id }}"
                                                    id="gejala{{ $item->id }}" onchange="toggleCFSelect(this)">
                                                <label class="form-check-label" for="gejala{{ $item->id }}">
                                                    {{ $item->code . ' ' . $item->name }}
                                                </label>
                                            </div>
                                            <label class="form-label mt-2">Nilai Keyakinan CF User:</label>
                                            <select class="form-select form-select-sm cf-user-select" name="cf_user[]"
                                                id="cf_user{{ $item->id }}" disabled>
                                                @foreach ($nilaiKeyakinanCF as $cf_user)
                                                    <option value="{{ $cf_user->nilai }}">
                                                        {{ $cf_user->istilah . " ($cf_user->nilai)" }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                @endforeach
                            </div>
                        </div>
                        <button type="submit" class="btn btn-primary mt-3">Proses Diagnosa</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <script>
        function toggleCFSelect(checkbox) {
            let select = document.getElementById("cf_user" + checkbox.value);
            select.disabled = !checkbox.checked;
        }
    </script>
@endsection
