@extends('admin.layouts.main', ['title' => 'Edit Gejala'])
@section('content')
    <div class="page-header d-print-none">
        <div class="container-xl">
            <div class="row g-2 align-items-center">
                <div class="col">
                    <h2 class="page-title">
                        Edit Gejala
                    </h2>
                </div>
            </div>
        </div>
    </div>
    <div class="page-body">
        <div class="container-xl">
            <div class="row d-flex justify-content-center">
                <div class="col-8">
                    <div class="card">
                        <div class="card-body">
                            <form action="{{ route('gejala.update') }}" method="POST">
                                @csrf
                                <input type="hidden" name="id" value="{{ $id }}">

                                <div class="form-group mb-3">
                                    <label>Kode</label>
                                    <input type="text" name="code" value="{{ old('code', $data->code) }}"
                                        class="form-control @error('code') is-invalid @enderror" placeholder="Masukan Kode">
                                    @error('code')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>

                                <div class="form-group mb-3">
                                    <label>Nama</label>
                                    <input type="text" name="name" value="{{ old('name', $data->name) }}"
                                        class="form-control @error('name') is-invalid @enderror" placeholder="Masukan Nama">
                                    @error('name')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>

                                <div class="form-group mb-3">
                                    <label>Nilai CF Pakar</label>
                                    <input type="number" step="0.01" min="0" max="1" name="value_cf_pakar"
                                        value="{{ old('value_cf_pakar', $data->value_cf_pakar) }}"
                                        class="form-control @error('value_cf_pakar') is-invalid @enderror"
                                        placeholder="Masukan Nilai CF Pakar (0-1)">
                                    @error('value_cf_pakar')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>

                                <div class="form-group d-flex justify-content-end">
                                    <button type="submit" class="btn btn-primary">
                                        <svg xmlns="http://www.w3.org/2000/svg"
                                            class="icon icon-tabler icon-tabler-device-floppy" width="24" height="24"
                                            viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none"
                                            stroke-linecap="round" stroke-linejoin="round">
                                            <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                                            <path d="M6 4h10l4 4v10a2 2 0 0 1 -2 2h-12a2 2 0 0 1 -2 -2v-12a2 2 0 0 1 2 -2">
                                            </path>
                                            <path d="M12 14m-2 0a2 2 0 1 0 4 0a2 2 0 1 0 -4 0"></path>
                                            <path d="M14 4l0 4l-6 0l0 -4"></path>
                                        </svg>
                                        Simpan
                                    </button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
