<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, viewport-fit=cover" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <link rel="icon" type="image/x-icon" href="{{ asset('assets') . '/' . $site_settings['logo'] }}">
    <meta rel="shortcut icon" href="{{ asset('assets') . '/' . $site_settings['logo'] }}" type="image/png">
    <title>{{ $site_settings['website_name'] . ' | ' }} Login</title>
    <!-- CSS files -->
    <link href="{{ asset('assets/dist/css/tabler.min.css') }}" rel="stylesheet" />
    <link href="{{ asset('assets/dist/css/tabler-flags.min.css') }}" rel="stylesheet" />
    <link href="{{ asset('assets/dist/css/tabler-payments.min.css') }}" rel="stylesheet" />
    <link href="{{ asset('assets/dist/css/tabler-vendors.min.css') }}" rel="stylesheet" />
    <link href="{{ asset('assets/dist/css/demo.min.css') }}" rel="stylesheet" />
    <style>
        @import url('https://rsms.me/inter/inter.css');

        :root {
            --tblr-font-sans-serif: 'Inter Var', -apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif;
        }

        body {
            font-feature-settings: "cv03", "cv04", "cv11";
            background: url('{{ asset('assets/bg_login.jpg') }}');
            background-size: cover;
        }

        .btn-primary {
            background-color: #009688 !important;
            border: 1px solid #009688 !important;
        }

        .btn-primary:hover {
            background-color: #009688 !important;
            color: white !important;
        }
    </style>
</head>

<body class=" d-flex flex-column">
    <script src="{{ asset('assets/dist/js/demo-theme.min.js') }}"></script>
    <div class="page page-center">
        <div class="container container-tight py-4">
            <div class="text-center mb-4">
                <img src="{{ asset('images/logo-harjo.png') }}" alt="">
            </div>
            <div class="card card-md">
                <div class="card-body">
                    <div class="text-center"><img src="{{ asset('assets') . '/' . $site_settings['logo'] }}"
                            height="80px"></div>
                    <h3 class="text-center mb-4">Masuk ke akun anda</h3>
                    @if ($errors->has('error'))
                        <p class="text-center"><span class="text-danger">{{ $errors->first('error') }}</span></p>
                    @endif
                    <form action="{{ route('admin.login') }}" method="POST" autocomplete="off">
                        @csrf
                        <div class="mb-3">
                            <label class="form-label">Email</label>
                            <input type="email" class="form-control @error('email') is-invalid @enderror"
                                name="email" placeholder="Email Anda" autocomplete="off">
                            @if ($errors->has('email'))
                                <span class="text-danger">{{ $errors->first('email') }}</span>
                            @endif
                        </div>
                        <div class="mb-2">
                            <label class="form-label">
                                Password
                            </label>
                            <input type="password" class="form-control @error('password') is-invalid @enderror"
                                name="password" placeholder="Password Anda" autocomplete="off">
                            @if ($errors->has('password'))
                                <span class="text-danger">{{ $errors->first('password') }}</span>
                            @endif
                        </div>
                        <div class="mb-2">
                            <label class="form-check">
                                <input type="checkbox" class="form-check-input" name="remember" id="remember" />
                                <span class="form-check-label">Ingat saya</span>
                            </label>
                        </div>
                        <div class="form-footer">
                            <button type="submit" class="btn btn-primary w-100">Login</button>
                        </div>
                    </form>
                </div>
            </div>
            {{-- <div class="text-center text-muted mt-3">
                Belum punya akun? <a href="./sign-up.html" tabindex="-1">Register</a>
            </div> --}}
        </div>
    </div>
    <!-- Libs JS -->
    <!-- Tabler Core -->
    <script src="{{ asset('assets/dist/js/tabler.min.js') }}" defer></script>
    <script src="{{ asset('assets/dist/js/demo.min.js') }}" defer></script>
</body>

</html>
