@extends('admin.layouts.main', ['title' => 'Tambah Nilai Keyakinan CF'])
@section('content')
    <div class="page-header d-print-none">
        <div class="container-xl">
            <div class="row g-2 align-items-center">
                <div class="col">
                    <h2 class="page-title">
                        Tambah Nilai Keyakinan CF
                    </h2>
                </div>
            </div>
        </div>
    </div>
    <div class="page-body">
        <div class="container-xl">
            <div class="row d-flex justify-content-center">
                <div class="col-8">
                    <div class="card">
                        <div class="card-body">
                            <form action="{{ route('nilai-keyakinan-cf.store') }}" method="POST">
                                @csrf

                                <div class="form-group mb-3">
                                    <label>Istilah</label>
                                    <input type="text" name="istilah" value="{{ old('istilah') }}"
                                        class="form-control @error('istilah') is-invalid @enderror"
                                        placeholder="Masukan Istilah">
                                    @error('istilah')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>

                                <div class="form-group mb-3">
                                    <label>Nilai</label>
                                    <input type="text" name="nilai" value="{{ old('nilai') }}"
                                        class="form-control @error('nilai') is-invalid @enderror"
                                        placeholder="Masukan Nilai">
                                    @error('nilai')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>


                                <div class="form-group d-flex justify-content-end">
                                    <button type="submit" class="btn btn-primary"> <svg xmlns="http://www.w3.org/2000/svg"
                                            class="icon icon-tabler icon-tabler-square-rounded-plus" width="24"
                                            height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor"
                                            fill="none" stroke-linecap="round" stroke-linejoin="round">
                                            <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                                            <path d="M9 12h6"></path>
                                            <path d="M12 9v6"></path>
                                            <path d="M12 3c7.2 0 9 1.8 9 9s-1.8 9 -9 9s-9 -1.8 -9 -9s1.8 -9 9 -9z"></path>
                                        </svg>Simpan</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
