<?php

use App\Http\Controllers\AdminHomeController;
use App\Http\Controllers\AdminProfileController;
use App\Http\Controllers\AdminSettingController;
use App\Http\Controllers\LoginController;
use App\Http\Controllers\DiagnosaController;
use App\Http\Controllers\GejalaController;
use App\Http\Controllers\NilaiCFController;
use App\Http\Controllers\NilaiKeyakinanCFController;
use App\Http\Controllers\PenyakitController;
use App\Http\Controllers\RuleController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', [AdminHomeController::class, 'index'])->name('home');

Route::prefix('admin')->group(function () {
    Route::get('/', [AdminHomeController::class, 'index'])->name('admin.home');
    Route::get('/login', [LoginController::class, 'index'])->name('admin.login');
    Route::post('/login', [LoginController::class, 'login'])->name('admin.login');
    Route::get('/logout', [LoginController::class, 'logout'])->name('logout');
    Route::post('/logout', [LoginController::class, 'logout'])->name('logout');

    Route::get('/penyakit', [PenyakitController::class, 'index'])->name('penyakit.index');
    Route::get('/penyakit/add', [PenyakitController::class, 'add'])->name('penyakit.add');
    Route::post('/penyakit/action/add', [PenyakitController::class, 'store'])->name('penyakit.store');
    Route::get('/penyakit/edit/{id}', [PenyakitController::class, 'edit'])->name('penyakit.edit');
    Route::post('/penyakit/action/edit', [PenyakitController::class, 'update'])->name('penyakit.update');
    Route::post('/penyakit/action/delete', [PenyakitController::class, 'delete'])->name('penyakit.delete');

    Route::get('/gejala', [GejalaController::class, 'index'])->name('gejala.index');
    Route::get('/gejala/add', [GejalaController::class, 'add'])->name('gejala.add');
    Route::post('/gejala/action/add', [GejalaController::class, 'store'])->name('gejala.store');
    Route::get('/gejala/edit/{id}', [GejalaController::class, 'edit'])->name('gejala.edit');
    Route::post('/gejala/action/edit', [GejalaController::class, 'update'])->name('gejala.update');
    Route::post('/gejala/action/delete', [GejalaController::class, 'delete'])->name('gejala.delete');

    Route::get('/diagnosa', [DiagnosaController::class, 'index'])->name('diagnosa.index');
    Route::get('/diagnosa/add', [DiagnosaController::class, 'add'])->name('diagnosa.add');
    Route::post('/diagnosa/action/add', [DiagnosaController::class, 'proses'])->name('diagnosa.proses');
    Route::post('/diagnosa/action/delete', [DiagnosaController::class, 'delete'])->name('diagnosa.delete');

    Route::get('/rule', [RuleController::class, 'index'])->name('rule.index');
    Route::get('/rule/add', [RuleController::class, 'add'])->name('rule.add');
    Route::post('/rule/action/add', [RuleController::class, 'store'])->name('rule.store');
    Route::get('/rule/get-existing/{id}', function ($id) {
        return App\Models\Rule::where('id_penyakit', $id)->pluck('id_gejala');
    });

    Route::get('/nilai-keyakinan-cf', [NilaiKeyakinanCFController::class, 'index'])->name('nilai-keyakinan-cf.index');
    Route::get('/nilai-keyakinan-cf/add', [NilaiKeyakinanCFController::class, 'add'])->name('nilai-keyakinan-cf.add');
    Route::post('/nilai-keyakinan-cf/action/add', [NilaiKeyakinanCFController::class, 'store'])->name('nilai-keyakinan-cf.store');
    Route::get('/nilai-keyakinan-cf/edit/{id}', [NilaiKeyakinanCFController::class, 'edit'])->name('nilai-keyakinan-cf.edit');
    Route::post('/nilai-keyakinan-cf/action/edit', [NilaiKeyakinanCFController::class, 'update'])->name('nilai-keyakinan-cf.update');
    Route::post('/nilai-keyakinan-cf/action/delete', [NilaiKeyakinanCFController::class, 'delete'])->name('nilai-keyakinan-cf.delete');

    Route::get('/setting', [AdminSettingController::class, 'index'])->name('setting.index');
    Route::post('/setting/action/edit', [AdminSettingController::class, 'update'])->name('setting.update');
    Route::get('/profile', [AdminProfileController::class, 'index'])->name('profile.index');
    Route::post('/profile/action/edit', [AdminProfileController::class, 'update'])->name('profile.update_password');
});
